Subject: QIC NEWS; vol.1 no.2
From: [email-masked] (Jesus Monroy Jr)
Date: Thu, 11 Mar 1993 08:28:47 GMT
Newsgroups: comp.os.coherent,comp.os.linux.announce,comp.os.mach,comp.os.minix,comp.os.xinu,comp.periphs,comp.unix.bsd,comp.unix.pc-clone.32bit,comp.os.386bsd.developmet

[Although this isn't strictly Linux-related, I'll approve it, since I'm the
only moderated group on the Newsgroups line. --mdw]

Released
        +----------------------------------------+
          QQQQQQ   II   CCCCCC
          QQ  QQ   II   CC        N  E  W  S
          QQ  QQ   II   CC
          QQ  QQ   II   CC        for 386bsd
          QQQQQQ   II   CCCCCC    Vol.1   no.2
             QQ                   
        +----------------------------------------+
                News about QIC-40/80
 
   From the desk of the quasi-editor-in-chief:
        "Just because I am numbering these things don't get the idea
         that I am going to do any more of these".
 
        *=======================================*
        |       Tabloid contents                |
        *=======================================*
        |  <1>__ What tape drives are involved? |
	|  <2>__ What tape drives work? 	|
	|  <3>__ Implementation problems.	|
	|  <4>__ What DOCS you'll need?         |
	|  <5>__ REPORT: The other OS efforts.	|
        |  <M>__ Meaningless dribble.           |
        |  <F>__ FLAMES to the editor           |
        |  <N>__ NEXT ISSUE                     |
        *=======================================*
        hint: search for "<?>__"

  <1>__ What tape drive are involved?

        The tape drive list that follows is for QIC-40/80 drives only.
 
        A FAR FROM COMPLETE LIST.
        -------------------------
        Manufacture     model number            misc.
        -----------     ------------            -----
        ArchiveXL       3240/3540/5240/5540     (now Maynard)
        CMS                                     (Colorado Memory Systems)
        Mountain
        IOMega
        Sysgen*
 
        * Sysgen claims a proprietary format, but the software has
          CMS labels on it.
 
  <2>__ What tape drives work?
 
        The list that follows is **NOT** QIC-40/80.
 
        A FAR FROM COMPLETE LIST.
        -------------------------
        Manufacture     model number            misc.
        -----------     ------------            -----
        Wangtek         5525ES                  AHA1542B%, AHA1742%
 
	from the FAQ
	------------
        Archive         2150
        Tandberg TDC    3660                    DC6250, DC6150*, DC600A
	WangDAT 	3200
	Wangtek 	5099EN
	Wangtek 	5150EQ
	Wangtek 	5150ES
 
        * NOT TESTED yet.
	% connect to controller listed
 
        Andrew Cornwall & Robert Kemp has graciously volunteered
        to collect data on  ALL tape drives that work with 386bsd..
        Send him your tape drive name, model number and Manufacture.
        As well as any other important info you may have (revision
        number, etc.)
 
        E-mail:     [email-masked]           (Bob Kemp)
        E-mail:     [email-masked]    (Andrew Cornwall)
        Subject: LOTS (List Of Tape Subsystems) for 386bsd
 
  <2>__ Implementation problems. (from the hardware point of view)
 
            Not all problems stem from the FDC, or the typical hardware
        implementation problems. Some problems arrive because either the
        machine (the AT), the OS (Operating System), and/or the controller
        do not, or are not, able to meet the requirements of the
        QIC-40/80 standard.
 
            We will look at the hardware problems today, for the AT
        perspective.
 
                NO-INDEX line
                -------------
                In the days before LSI (Large Scale Integration), I was
        told in order to format your floppy disk you had to fill your
        memory buffer with the data you were going to write to the disk.
        This included all the "Clock Marks" and CRC's (or Check SUMS).
                Well in those days the INDEX MARKER was very big business.
        It told you when the INDEX *HOLE* went past the LED. Thereby, giving
        you a very good que on when to start writing new data _or_ start
        formatting a new track on the disk.
                Today the descendant of the INTEL 8272a and the NEC765a
        do not support the INDEX MARKER. It was not needed when the IBM-PC
        came to market (so why bother).
 
                Why is this important to US?
 
                AS you will come to know the QIC-40/80 standard needs
        the INDEX MARKER to send us a timing que, for Acknowledgement
        to commands and data-ready-signals. Without it we must improvise.
 
        NOTE: The new MCA chips are supposed to support the INDEX MARKER.
 
                NO-Accurate clock
                -----------------
                Not having an INDEX MARKER does pose a big problem for
        US, but the STANDARD says that "the host driver software will
        continue to function regardless of the hardware limitations.".
                Meaning that we must *accurately* have the driver respond
        to the tape drive when needed. _and_ as we are working in UNIX
        there is no *really* accurate clock, but other OSs (SCO) have made
        it operate, so it is possible.
 
                FDC time out
                ------------
                Time-outs by the FDC must be handled manually, meaning
        that the on board hardware can not handle this, so we must.
 
                QIC not ready
                -------------
                This is an ugly problem that (I guess) is a fall back
        to VMS technology.  What happens is that some tape drives do a
        "seek load point" on the tape. _And_ guess what.  If the
        microcode (on the tape drive) does not find a "load point" it
        may rewind the tape to find it, which can take up to three
        minutes.  Meanwhile the QIC controller(some) do not respond to
        commands.  Hence, "We die in the water for three minutes".
 
                QIC incorrect mode
                ------------------
                The QIC has several modes of operation, including the
        undocumented shutdown.  If you make a call to the drive and
        you are in an incorrect mode, the drive "takes a dump" leaving
        the program unaware until you figure it out. FUN...
 
                QIC data pending
                ----------------
                This leaves us with a documented problem with QIC.
        It is stated that when asking for "reports" from the drive
        the last bit (binary decision) is left in the buffer, until
        the user clears it. UGHH detail.

 
  <3>__ What DOCS you'll need?
 
        These documents are needed in that most of the new inexpensive
        drive (ie. 120/250 meg capacity) are QIC-80.
        The QIC-40/80 both connect to the floppy drive controller.
        The new QIC-385, when passed, will connect to the
        FDC or IDE controller.
 
        Tape Standard*  Basic Interface   Magnetic Head    Data Compression
        -------------   ---------------   -------------    ----------------
        QIC-40          QIC-107**         QIC-106          QIC-122/QIC-130
        QIC-80          QIC-115**         QIC-118             "   /   "
        QIC-385         QIC-117**         QIC-133             "   /   "
 
        *The ECC (Error Correction) Codes are included.
        **All three interface standards apply to all three tape standards
 
  <4>__ REPORT: The other OS efforts.
        ====================================================
        D A V I D    B R O W N  --   QIC-40/80 MACH386
        ====================================================
        David did not respond in time for publishing.
        However his last message implied that he was extremely
        busy and had not made much progress on the driver.
 
        ====================================================
        K A R L     H E I N Z   --   QIC-40/80 LINUX
        ====================================================
        From: Karl Heinz Kremer QA <[email-masked]>
        To: [email-masked]
        Date: Thu, 4 Mar 1993 08:50:54 -0500
        Subject: Re: ftape-1.02
 
        Current status of my project:
                I finally managed to write something to tape and
        read something back.  The both some-things, are not completely
        identical :-)   Looks like my reads do not start at the
        beginning of the data I have written to the tape, _or_ the
        write does not start with the first byte of the data I want
        to write...
                But, despite all the problems, it is one step
        further in the direction of a working driver.
        ====================================================
 
  <M>__ Meaningless dribble.
 
        "If you cannot -in the long run- tell everyone what you
         have been doing, your doing has been worthless."
                                        -Erwin Schrodinger.
 
        "The number sense is not confined to the human race."
                                        -Isaac Asimov
                                        -realm of numbers
                                        -p.7
 
        "Those who initiate scientific and technological advances,
         are frequently moved by the loftiest motives and display
         a genuine desire to improve the quality of life of those
         affected by their innovations."
                                        -Mike Cooley
                                        -Architect or Bee?
                                        -p.34
 
        "Religion, in the context of software design, is a body of
         beliefs about design rights and design wrongs."
                                        -Gordon Letwin
                                        -Inside OS/2
                                        -Chapter 3: The OS/2 Religion
 
  <F>__ FLAMES to the editor
 
        ====================================================
        From [email-masked] Wed Mar  3 14:14:23 1993
        Subject: Re: Subject: Re: [REPOST] RTC Real Time Clock
        To: Jesus Monroy Jr <[email-masked]>
 
        > -----------
        >         Do you have a *POINT* to mailing all this rhetoric?
 
        Yes:
 
           You are writing articles that are a) wrong, b)mis-splelt and
           c) don't show you in a particularly good light.
 
        *How* can I trust your QIC driver *with my data*, based on the
        errors *I* can see in what you post?
 
        Sit down and read what I am trying to tell you!
 
        Please!
 
        joe.
        ====================================================
 
        IN the interest of Joe's sanity I will employ a
        spell checker now.
 
                                Thanks for your comments
                                        [email-masked]
        ====================================================
 
  <N>__ NEXT ISSUE
 
        Implementation problems from the software side.

-- 
Send submissions for comp.os.linux.announce to: [email-masked]